.banner {
    position: relative;
    @include bg-cover-center("../../images/banner.png");
    height: 715px;
    min-width: 300px;
    padding-top: 153px;

    @media screen and (min-width: $ui-breakpoint-md-min) {
        height: 800px;
        padding-top: 187px;
    }

    @media screen and (min-width: $ui-breakpoint-xl-min) {
        padding-top: 183px;
    }
}

.banner__text-wrapper {
    @include flex-center;
    flex-direction: column;
}

.banner__title {
    font-family: Montserrat, sans-serif;
    font-size: 48px;
    line-height: 1;
    font-weight: 700;
    text-align: center;
    margin-bottom: 19px;
    color: $ui-color-white;

    @media screen and (min-width: $ui-breakpoint-md-min) {
        font-size: 72px;
    }

    @media screen and (min-width: $ui-breakpoint-xl-min) {
        font-size: 82px;
    }
}

.banner__subtitle {
    font-family: Montserrat, sans-serif;
    font-size: 18px;
    line-height: 1.33;
    text-align: center;
    margin-bottom: 14px;
    color: $ui-color-primary;
    
    @media screen and (min-width: $ui-breakpoint-md-min) {
        font-size: 24px;
        line-height: 1;
        margin-bottom: 19px;
    }

    @media screen and (min-width: $ui-breakpoint-xl-min) {
        font-size: 30px;
    }
}

.banner__app-version {
    font-family: Montserrat;
    font-size: 14px;
    line-height: 1;
    text-align: center;
    color: $ui-color-secondary;
    text-transform: uppercase;

    @media screen and (min-width: $ui-breakpoint-xl-min) {
        font-size: 16px;
    }
}
